Subject: bug#43589: 27.1.50; Crash in Org mode buffer when moving point after using outline-hide-other when visual-line-mode and visual line numbers are enabled

From: Eli Zaretskii <[email-masked]>
Date: Fri, 25 Sep 2020 11:57:36 +0300

> From: Andy Moreton <[email-masked]>
> Date: Thu, 24 Sep 2020 23:43:57 +0100
> 
> On Thu 24 Sep 2020, Simon Pugnet wrote:
> 
> > 1. Execute: emacs -Q
> > 2. In the scratch buffer that opens by default, activate Org mode: M-x
> > org-mode
> > 3. Type the following directly into the buffer (3 lines): -
> >
> > * Heading 1
> > ** Heading 1a
> > ** Heading 1b
> >
> > 4. The point should now be after the "b" in "Heading 1b"
> > 5. Evaluate (M-:) the following: (setq display-line-numbers-type 'visual)
> > 6. Activate display-line-numbers-mode: M-x display-line-numbers-mode
> > 7. Activate visual-line-mode: M-x visual-line-mode
> > 8. Hide other outline headings: M-x outline-hide-other
> > 9. Try to move the point to the previous line: C-p or previous-line
> >
> > If I perform these steps on Emacs 27.1 (GUI or text frame), and also the
> > packaged version of Emacs 26.3 on Android (via the Termux app), I always get a
> > segmentation fault.
> >
> > This happens in other Org mode buffers too, including those loaded directly
> > from the file system.
> >
> > I hope that helps!
> 
> With this recipe, I can reliably reproduce this on 64bit mingw64 on
> Windows (built with -O2). Running this produces the message:

Thanks, I installed a fix for this on the emacs-27 branch.  Please try
it.